DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FTCross

Generates the Fourier transform of a cross

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTCross ( image, length, scale, amplitude )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of a cross with the length of its sides specified by `length` and `radius`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output Image
`dip_float` | `length` | Length of the cross' axes
`dip_FloatArray` | `scale` | Scale
`dip_float` | `amplitude` | Amplitude

## SEE ALSO

`FTEllipsoid`, `FTSphere`, `FTBox`, `FTCube`, `FTGaussian`

DIPlib on-line documentation | Function reference | Global function index